> For the complete documentation index, see [llms.txt](https://docs.anchored.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.anchored.finance/trading-api/reference/endpoint-index.md).

# Endpoint Index

**42 endpoints** for RWA trading integrators. Permission: `READ_ONLY` or `WRITABLE` per API key scope.

Base path: `/api/v1`. Full URL prefix: `https://rwa-api.anchored.finance/rwa/trading`.

## Market data (5)

| Method | Path                                | Permission | Description       |
| ------ | ----------------------------------- | ---------- | ----------------- |
| `GET`  | `/api/v1/symbols`                   | READ\_ONLY | Tradable symbols  |
| `GET`  | `/api/v1/prices/{symbol}`           | READ\_ONLY | Real-time quote   |
| `GET`  | `/api/v1/prices/{symbol}/history`   | READ\_ONLY | K-line history    |
| `GET`  | `/api/v1/underlying/{symbol}/price` | READ\_ONLY | Underlying quote  |
| `GET`  | `/api/v1/corporate-action`          | READ\_ONLY | Corporate actions |

## Portfolio (3)

| Method | Path                               | Permission | Description |
| ------ | ---------------------------------- | ---------- | ----------- |
| `GET`  | `/api/v1/users/{userId}`           | READ\_ONLY | User info   |
| `GET`  | `/api/v1/users/{userId}/balance`   | READ\_ONLY | Balances    |
| `GET`  | `/api/v1/users/{userId}/positions` | READ\_ONLY | Positions   |

## Orders (10)

| Method   | Path                                   | Permission | Description                       |
| -------- | -------------------------------------- | ---------- | --------------------------------- |
| `GET`    | `/api/v1/orders`                       | READ\_ONLY | Order list                        |
| `POST`   | `/api/v1/orders/calldata`              | WRITABLE   | Build order calldata              |
| `POST`   | `/api/v1/orders/send`                  | WRITABLE   | One Click order                   |
| `POST`   | `/api/v1/orders/with-deposit/calldata` | WRITABLE   | Build order-with-deposit calldata |
| `POST`   | `/api/v1/orders/with-deposit/send`     | WRITABLE   | One Click order with deposit      |
| `POST`   | `/api/v1/orders/tx`                    | WRITABLE   | Record order tx                   |
| `GET`    | `/api/v1/orders/tx/{txHash}`           | READ\_ONLY | Order by tx                       |
| `GET`    | `/api/v1/orders/{orderId}`             | READ\_ONLY | Order detail                      |
| `DELETE` | `/api/v1/orders/{orderId}/calldata`    | WRITABLE   | Cancel calldata                   |
| `DELETE` | `/api/v1/orders/{orderId}/send`        | WRITABLE   | One Click cancel                  |

## Cash (10)

| Method | Path                                     | Permission | Description        |
| ------ | ---------------------------------------- | ---------- | ------------------ |
| `POST` | `/api/v1/cash/deposits/calldata`         | WRITABLE   | Deposit calldata   |
| `POST` | `/api/v1/cash/deposits/send`             | WRITABLE   | One Click deposit  |
| `POST` | `/api/v1/cash/deposits/tx`               | WRITABLE   | Record deposit tx  |
| `GET`  | `/api/v1/cash/deposits`                  | READ\_ONLY | Deposit list       |
| `GET`  | `/api/v1/cash/deposits/{operationId}`    | READ\_ONLY | Deposit detail     |
| `POST` | `/api/v1/cash/withdrawals/calldata`      | WRITABLE   | Withdraw calldata  |
| `POST` | `/api/v1/cash/withdrawals/send`          | WRITABLE   | One Click withdraw |
| `POST` | `/api/v1/cash/withdrawals/tx`            | WRITABLE   | Record withdraw tx |
| `GET`  | `/api/v1/cash/withdrawals`               | READ\_ONLY | Withdraw list      |
| `GET`  | `/api/v1/cash/withdrawals/{operationId}` | READ\_ONLY | Withdraw detail    |

## Stock (10)

| Method | Path                                      | Permission | Description                |
| ------ | ----------------------------------------- | ---------- | -------------------------- |
| `POST` | `/api/v1/stock/deposits/calldata`         | WRITABLE   | Stock deposit calldata     |
| `POST` | `/api/v1/stock/deposits/send`             | WRITABLE   | One Click stock deposit    |
| `POST` | `/api/v1/stock/deposits/tx`               | WRITABLE   | Record stock deposit tx    |
| `GET`  | `/api/v1/stock/deposits`                  | READ\_ONLY | Stock deposit list         |
| `GET`  | `/api/v1/stock/deposits/{operationId}`    | READ\_ONLY | Stock deposit detail       |
| `POST` | `/api/v1/stock/withdrawals/calldata`      | WRITABLE   | Stock withdrawal calldata  |
| `POST` | `/api/v1/stock/withdrawals/send`          | WRITABLE   | One Click stock withdrawal |
| `POST` | `/api/v1/stock/withdrawals/tx`            | WRITABLE   | Record stock withdrawal tx |
| `GET`  | `/api/v1/stock/withdrawals`               | READ\_ONLY | Stock withdrawal list      |
| `GET`  | `/api/v1/stock/withdrawals/{operationId}` | READ\_ONLY | Stock withdrawal detail    |

## One Click (4)

| Method | Path                  | Permission | Description        |
| ------ | --------------------- | ---------- | ------------------ |
| `GET`  | `/api/v1/1ct/status`  | READ\_ONLY | Delegation status  |
| `POST` | `/api/v1/1ct/prepare` | WRITABLE   | EIP-712 payload    |
| `POST` | `/api/v1/1ct/enable`  | WRITABLE   | Enable delegation  |
| `POST` | `/api/v1/1ct/disable` | WRITABLE   | Disable delegation |

## Doc map

| Module    | Doc                                                                                                            |
| --------- | -------------------------------------------------------------------------------------------------------------- |
| Market    | [market/](https://github.com/AnchoredLabs/anchored-knowledge/blob/main/02-products/rwa/api/market/README.md)   |
| Portfolio | [portfolio/overview.md](/trading-api/portfolio/overview.md)                                                    |
| Orders    | [trading/](https://github.com/AnchoredLabs/anchored-knowledge/blob/main/02-products/rwa/api/trading/README.md) |
| Cash      | [cash/](/trading-api/cash-operations/cash.md)                                                                  |
| Stock     | [stock/](/trading-api/stock-operations/stock.md)                                                               |
| One Click | [trading/one-click-delegated.md](/trading-api/trading/one-click-delegated.md)                                  |

## Related reference

| Need                          | Doc                                                                                   |
| ----------------------------- | ------------------------------------------------------------------------------------- |
| API to contract effects       | [api-contract-map.md](/trading-api/reference/api-contract-map.md)                     |
| Environment and chain context | [environments-and-chains.md](/trading-api/reference/environments-and-chains.md)       |
| Status model                  | [status-model.md](/trading-api/reference/status-model.md)                             |
| Troubleshooting               | [troubleshooting.md](/trading-api/reference/troubleshooting.md)                       |
| Sample responses              | [sample-responses.md](/trading-api/reference/sample-responses.md)                     |
| Integration tests             | [integration-test-checklist.md](/trading-api/reference/integration-test-checklist.md) |

OpenAPI snapshot: [openapi.snapshot.json](https://github.com/AnchoredLabs/anchored-knowledge/blob/main/02-products/rwa/api/reference/openapi.snapshot.json) (refreshed 2026-06-22; server `https://rwa-api.anchored.finance/rwa/trading`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.anchored.finance/trading-api/reference/endpoint-index.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
